%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name bytekit
%define channel pear.phpunit.de

Name:           php-phpunit-bytekit
Version:        1.1.1
Release:        1%{?dist}
Summary:        A command-line tool built on the PHP Bytekit extension

Group:          Development/Libraries
License:        BSD
URL:            http://github.com/sebastianbergmann/bytekit-cli
Source0:        http://pear.phpunit.de/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
BuildRequires:  php-channel(%{channel})
Requires:       php-channel(%{channel})
Requires:       php-pear(pear.phpunit.de/File_Iterator) >= 1.1.0
Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:       php-pear(%{channel}/%{pear_name}) = %{version}


%description
Bytekit is a PHP extension that provides userspace access to the opcodes
generated by PHP's compiler.

bytekit-cli is a command-line tool that leverages Bytekit to perform common code
analysis tasks.


%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
%{__mv} package2.xml %{pear_name}-%{version}/%{name}.xml
cd %{pear_name}-%{version}
%{__sed} -i -e "s@<min>1.8.1</min>@<min>1.7.2</min>@" %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
%{__rm} -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
%{__rm} -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
%{__mkdir} -p $RPM_BUILD_ROOT%{pear_xmldir}
%{__install} -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        pear.phpunit.de/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Bytekit
%{_bindir}/bytekit


%changelog
* Fri Dec 18 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.1.1-1
- upstream 1.1.1
- /usr/share/pear/Bytekit wasn't owned

* Thu Nov 26 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.0.0-2
- F-(10|11)

* Wed Oct 14 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.0.0-1
- Initial packaging
